"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="4"
"COUNT"="5"
"UIPATH"="Appearance\System\Open/Save Dialog"
"NAME"="Open/Save Dialog Places Bar"
"LANGUAGE"="VBScript"
"VERSION"="1.17"
"OSVERSION"="000101"
"TEXT 1"="Place #1"
"TEXT 2"="Place #2"
"TEXT 3"="Place #3"
"TEXT 4"="Place #4"
"TEXT 5"="Place #5"
"DESCRIPTION 1"="Windows 2000 displays an "Places Bar" on the left side of the default Open/Save dialog."
"DESCRIPTION 2"="You can add your own folders to this bar for quick access. Simply enter the exact path for each item you want to have appear."
"DESCRIPTION 3"="Paths with Environment Variables are also valid, for example "%USERPROFILE%\Desktop" which will default to your Desktop directory."
"DESCRIPTION 4"="NOTE: If you define ANY item here, you will lose the default shortcuts inside the places bar (e.g. Desktop). To restore this default look, clear all fields."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Setting detected by manish jain [emmjanex@hotmail.com]. Thanks!"
"COMMENT 2"="No places bug detected by KEVIN3317!"


sV1="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\Placesbar\Place0"
sV2="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\Placesbar\Place1"
sV3="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\Placesbar\Place2"
sV4="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\Placesbar\Place3"
sV5="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\Placesbar\Place4"

sPath="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\Placesbar\"

Sub Plugin_Initialize 
 s=RegReadValue(sV1)
 Call SetUIElement(1,s)

 s=RegReadValue(sV2)
 Call SetUIElement(2,s)

 s=RegReadValue(sV3)
 Call SetUIElement(3,s)

 s=RegReadValue(sV4)
 Call SetUIElement(4,s)

 s=RegReadValue(sV5)
 Call SetUIElement(5,s)
End Sub


Sub Plugin_CheckData(ElementIndex)
End Sub



Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 Call WriteIt(1,sV1)
 Call WriteIt(2,sV2)
 Call WriteIt(3,sV3)
 Call WriteIt(4,sV4)
 Call WriteIt(5,sV5)

 'check if we have any values left
 i=RegEnumValues(sPath)
 if i=0 then
    if RegPathExists(sPath) then
       Call RegDeletePath(sPath)
    end if

    Call MsgInformation("Default places bar has been restored")
 end if
End Sub

Sub WriteIt(ITM,PATH)
 s=GetUIElement(ITM)
 if len(s)>0 then
    Call RegWriteValue(PATH,s,4)
 else
   if RegValueExists(PATH) then
      Call RegDeleteValue(PATH)
   end if
 end if
end sub
 

Sub Plugin_Terminate 
End Sub



