"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="Appearance\Files&Folders\Drives"
"NAME"="Show/Hide Drives"
"VERSION"="2.34"
"LANGUAGE"="VBScript"
"TEXT 1"="Hide drives"
"DESCRIPTION 1"="If you do not wish all drives to be visible in Windows Explorer, simply uncheck the boxes for the drives you wish hidden. They will no longer be visible when Explorer is opened."
"DESCRIPTION 2"="WARNING: As soon as at least one drive is hidden, the 'Open' and 'Explore' options on the context menu of the Start Menu are greyed out. This is a side effect of Windows."
"DESCRIPTION 3"="If you are using Internet Explorer 4.0, you need to restart before the changes are visible."
"AUTHOR"="Thomas Zundel / Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Pierre Szwarc [mailto:szwarc@usa.net] for reporting the "wrong datatype" bug."
"COMMENT 2"="Thanks to Dusty Phillips [dustyphillips@yahoo.com] for reporting the second "wrong datatype" bug."
"COMMENT 3"="Thanks to Thomas Zundel [mailto:Thomas.Zundel@htp-tel.de] for fixing the "TeX HeX is to stupid for bit operations" bug!"
"COMMENT 4"="Thanks to William Puckett [dixipngn@ida.net] for the spell checking!"

sP="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\"
sV="NoDrives"
i=0

Sub Plugin_Initialize 
if RegPathExists(sP) then
    i=RegReadValue(sP & sV)
    if IsEmpty(i)=true then
        'No drives hiden
        i=0
    elseif len(i)=0 or IsNumeric(i)=false then
        'wrong datatype!!!
        i=0
    end if

    for x=1 to 26
        Call SetUIElement(x,"Show drive " & Chr(64 + x) & ":\")
        if (i and (2^(x-1))) <> 0 then
            Call SetUIElementEx(x,false)
        else
            Call SetUIElementEx(x,true)
        end if
    next
else
    Disable
end if
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
i=0
for x=1 to 26
    if GetUIElementEx(x)=false then i=i + (2^(x-1))
next

if i=0 then
   'we can kill the value
   if RegValueExists(sP & sV)=true then
      Call RegDeleteValue(sP & sV)
   end if
else 
   Call RegWriteValue(sP & sV,i,2)
end if

Call IndicateSettingChange()
'Not needed?
'Restart

End Sub

Sub Plugin_Terminate 
End Sub
