"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="2"
"UIPATH"="Appearance\Explorer\Settings"
"NAME"="File Types Tab"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Allow changes in "File Types" tab (Current User)"
"TEXT 2"="Allow changes in "File Types" tab (All Users)"
"DESCRIPTION 1"="This settings controls the ability of the Tools -> Folder Options -> "File Types" tab inside Explorer. This tab is used to control which files are opened with which applications."
"DESCRIPTION 2"="The first option (if deactivated) does not allow changes inside "File Types" for the currently logged on user."
"DESCRIPTION 3"="The second option (if deactivated) does not allow changes inside "File Types" for ANY user logged on this PC."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="found at Win2000mag.com - David Chernicoff, david@win2000mag.com"
"OSVERSION"="010111"


sV1="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoFileAssociate"
sV2="HKLM\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoFileAssociate"


Sub Plugin_Initialize 
 i=RegReadValue(sV1)
 If IsEmpty(i) or i=0 then SetUIElement 1,true

 i=RegReadValue(sV2)
 If IsEmpty(i) or i=0 then SetUIElement 2,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    if RegValueExists(sV1) then
       Call RegDeleteValue(sv1)
    end if
 else
    Call RegWriteValue(sV1,1,2)
 end if

 b=GetUIElement(2)
 if b=true then
    if RegValueExists(sV2) then
       Call RegDeleteValue(sv2)
    end if
 else
    Call RegWriteValue(sV2,1,2)
 end if


 Call IndicateSettingChange()
End Sub

Sub Plugin_Terminate 
End Sub
