"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="System\File System\Windows 9x/ME Options\Misc"
"NAME"="DOS Numeric tail (~)"
"VERSION"="2.00"
"OSVERSION"="10101"
"LANGUAGE"="VBScript"
"TEXT 1"="Numeric tails in all short (8.3) filenames"
"WARNING"="1"
"DESCRIPTION 1"="Normally (i.e., when the box is checked) every file with a long filename (LFN) is assigned a short 8.3 filename (SFN) whose 8-character portion ends with a so-called numeric tail ("~n")."
"DESCRIPTION 2"="Changing this setting (i.e., clearing the checkbox) will cause numeric tails to be used only where necessary for uniqueness."
"DESCRIPTION 3"="Changing this setting can lead to SERIOUS problems. To cite just two examples of what can happen if you clear the checkbox:"
"DESCRIPTION 4"="-- Several .INF files and Setup programs (including some from Microsoft) may fail because they refer to folders such as "Program Files" by their assumed SFNs (such as PROGRA~1)."
"DESCRIPTION 5"="-- If you try to use DOS to copy a pair of files with names such as ContractEdit.frm and Contract.frm (in that order), you'll find that the second one can't be created in the destination folder.  That's because the first new file created has already been assigned CONTRACT.FRM (rather than the usual CONTRA~1.FRM) as its SFN."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Description fields edited by fdhuber@hotmail.com"


sP = "HKLM\System\CurrentControlSet\Control\FileSystem\NameNumericTail"

Sub Plugin_Initialize
   i = RegReadValue(sp)
   If IsEmpty(i) Then
      SetUIElement 1, True
   End If
End Sub

Sub Plugin_Apply(ElementIndex, ElementSubIndex)
   b = GetUIElement(1)
   If b = True Then ' I want to have CONTRA~1.FRM
      i = RegReadValue(sp)
      If IsEmpty(i) = False Then
         Call RegDeleteValue(sp)
      End If
   Else ' No, thank you
      Call RegWriteValue(sp, "00", 3)
   End If

   Restart
End Sub

Sub Plugin_Terminate
End Sub
