"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Appearance\Interface\Font Smooting/Clear Type"
"NAME"="ClearType Gamma Correction"
"VERSION"="2.00"
"LANGUAGE"="VBScript"
"OSVERSION"="000001"
"TEXT 1"="Contrast"
"DESCRIPTION 1"="When using "ClearType" as the font smooting default, you can change the contrast (gamma correction) of it here."
"DESCRIPTION 2"="By default, Windows XP uses a default contrast of 1400, but depending on your LCD display, decreasing this value to 900-1100 might have a better result. A good value for normal LCDs is "1000"."
"DESCRIPTION 3"="If you plan to change these settings often, e.g. if you switch between a normal monitor and a LCD, we suggest the software "ClearTweak" which is available from http://www.offroadsearch.com/software/cleartweak/ . It allows you to change the ClearType settings and see the effect immediately."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "

sP1="HKCU\Control Panel\Desktop\FontSmoothing"     'STR!
sP2="HKCU\Control Panel\Desktop\FontSmoothingType" 'DW!

sV1="HKCU\Control Panel\Desktop\FontSmoothingGamma"

Sub Plugin_Initialize 
 i1=RegReadValue(sP1)
 i2=RegReadValue(sP2)
 if i1=2 and i2=2 then
    i=RegReadValue(sV1)
    Call SetUIElement(1,i)
 else
    Call Disable()
    Call MsgError("This value can only be changed if you have activated ClearType, which is currently deactivated. Therefore this plug-in is deactivated as well.")
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)

 if len(i)=0 then
    Call MsgError("Unable to update setting - please enter a numeric value !")
 else
    Call RegWriteValue(sV1,i,2)
    Call Restart()
 end if
End Sub

Sub Plugin_Terminate 
End Sub
