"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="3"
"UIPATH"="Appearance\Interface\Font Smooting/Clear Type"
"NAME"="Font Smoothing/ClearType Activated"
"VERSION"="2.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Do not use font smoothing"
"TEXT 2"="Enable default font smoothing"
"TEXT 3"="Enable ClearType (Windows XP and above)"
"DESCRIPTION 1"="When this option is enabled, the edges of large TrueType fonts become anti-aliased. This means that there are no jagged edges to them."
"DESCRIPTION 2"="If you are using Windows XP, you can also enable ClearType, a "new" Font Smoothing method that works even better than the "normal" Font Smoothing but is only suitable for LCD Displays. It looks very strange on normal monitors."
"DESCRIPTION 3"="You can also change these values by using Control Panel -> Display -> Apperance -> Effects"
"DESCRIPTION 4"="If you plan to change these settings often, e.g. if you switch between a normal monitor and a LCD, we suggest the software "ClearTweak" which is available from http://www.offroadsearch.com/software/cleartweak/ . It allows you to change the ClearType settings and see the effect immediately."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Steve Day [steve@steveday.net] for the "font smoothing on NT" bug notice!"
"COMMENT 2"="Thanks to RICK-CHERYL [RICK-CHERYL@MMCABLE.COM] for the typo notice!"


sP1="HKCU\Control Panel\Desktop\FontSmoothing"     'STR!
sP2="HKCU\Control Panel\Desktop\FontSmoothingType" 'DW!
Sub Plugin_Initialize 
 'String
 i1=RegReadValue(sP1)
 i2=RegReadValue(sP2)

 if GetWinVer>=6 then 'XP or above

    if i1=0 then SetUIElement 1,true
    if i1>0 then 
       if i2=1 then SetUIElement 2,true
       if i2=2 then SetUIElement 3,true
    end if

 else 'any other OS

    if i=0 then SetUIElement 1,true
    if i=1 or i=2  then SetUIElement 2,true

 end if

End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 vVal1=-1
 vVal2=-1

 if GetUIElement(1)=true then
    vVal1=0
    vVal2=0

 elseif GetUIElement(2)=true then
    'only on Win 9x and ME this is "1"
    if GetWinVer=1 or GetWinVer=3 or GetWinVer=5 then
       vVal1=1
       vVal2=1 
    else
       vVal1=2
       vVal2=1
    end if

 elseif GetUIElement(3)=true then
    'on XP only!
    if GetWinVer>=6 then
       vVal1=2
       vVal2=2 
    else
       vVal1=-1
       vVal2=-1
       Call MsgError("Clear Type can be enabled on Windows XP or above only, please make a different selection!") 
    end if
 end if


 if vVal1>-1 then
    Call RegWriteValue(sP1,vVal1,1)
    Call RegWriteValue(sP2,vVal2,2)

    'only on Win 9x and ME
    if GetWinVer=1 or GetWinVer=3 or GetWinVer=5 then
       Call IniWriteValue("WIN.INI","TrueType","FontSmoothing",vVal1)
    end if

    Call Restart()
 end if

End Sub


Sub Plugin_Terminate 
End Sub



