"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="5"
"UIPATH"="Internet\Internet Explorer\Appearance"
"NAME"="Help Menu Options"
"LANGUAGE"="VBScript"
"VERSION"="2.0"
"TEXT 1"="Show Help menu"
"TEXT 2"="Show "Tip of the Day" in Help menu"
"TEXT 3"="Show "Tutorial" in Help menu"
"TEXT 4"="Show "Send feedback" in Help menu"
"TEXT 5"="Show "For Netscape..." in Help menu"
"DESCRIPTION 1"="To show an item in the Help menu, activate it. To hide it, deactivate it."
"DESCRIPTION 2"="NOTE #1: You need to restart Internet Explorer so the changes can take effect."
"DESCRIPTION 3"="NOTE #2: If you are using Internet Explorer 5.01, the changes will affect all users. If you are using Internet Explorer 5.0, 5.5, 6.0 or later, the changes only affect the current user."
"DESCRIPTION 4"="NOTE #3: In Internet Explorer 5.0, the 'Show Help Menu' option has no effect."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to hydreux@yahoo.com [mailto:hydreux@yahoo.com] for the correct registry location!"
"COMMENT 2"="IE 5.0, 5.01 and 5.5+ options combined together by Neil Turner."

' Paths for all the three different IE versions
sPath1="HKCU\Software\Policies\Microsoft\Internet Explorer\Restrictions\"
sPath2="HKCU\Software\Policies\Microsoft\Internet Explorer\"
sPath3="HKLM\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\"

' Get the IE version from here
sVer="HKLM\Software\Microsoft\Internet Explorer\Version"

' IE 5.01+ value names
sHLP="NoHelpMenu"
sTIP="NoHelpItemTipOfTheDay" 'all dword (1 = remove)
sTUT="NoHelpItemTutorial"
sFED="NoHelpItemSendFeedback"
sNET="NoHelpItemNetscapeHelp"

' IE 5.0 value names
sTIP2="remove tip of the day" 'all dword (1 = remove)
sTUT2="remove tutorial"
sFED2="remove feedback"
sNET2="remove netscape help"

Sub Plugin_Initialize
 s=RegReadValue(sVer)
 if s>"5.5" then
  ' IE 5.5 / 6.0
  i=RegReadValue(sPath1 & sHLP)
  if i<>1 then SetUIElement 1,true

  i=RegReadValue(sPath1 & sTIP)
  if i<>1 then SetUIElement 2,true

  i=RegReadValue(sPath1 & sTUT)
  if i<>1 then SetUIElement 3,true

  i=RegReadValue(sPath1 & sFED)
  if i<>1 then SetUIElement 4,true

  i=RegReadValue(sPath1 & sNET)
  if i<>1 then SetUIElement 5,true
 else
  if s<"5.01" then
   if s<"5.0" then
    Call Disable()
   end if
   ' IE 5.0
   i=RegReadValue(sPath2 & sTIP2)
   if i<>1 then SetUIElement 2,true

   i=RegReadValue(sPath2 & sTUT2)
   if i<>1 then SetUIElement 3,true

   i=RegReadValue(sPath2 & sFED2)
   if i<>1 then SetUIElement 4,true

   i=RegReadValue(sPath2 & sNET2)
   if i<>1 then SetUIElement 5,true
  else
   ' IE 5.01
   i=RegReadValue(sPath3 & sHLP)
   if i<>1 then SetUIElement 1,true

   i=RegReadValue(sPath3 & sTIP)
   if i<>1 then SetUIElement 2,true

   i=RegReadValue(sPath3 & sTUT)
   if i<>1 then SetUIElement 3,true

   i=RegReadValue(sPath3 & sFED)
   if i<>1 then SetUIElement 4,true

   i=RegReadValue(sPath3 & sNET)
   if i<>1 then SetUIElement 5,true
  end if
 end if
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=RegReadValue(sVer)
 if s>"5.5" then
  ' IE 5.5 / 6.0
  Call WriteIt(1,sHLP,sPath1)
  Call WriteIt(2,sTIP,sPath1)
  Call WriteIt(3,sTUT,sPath1)
  Call WriteIt(4,sFED,sPath1)
  Call WriteIt(5,sNET,sPath1)
 else
  if s<"5.01" then
   if s<"5.0" then
    Call Disable()
   end if
   ' IE 5.0
   Call WriteIt(2,sTIP2,sPath2)
   Call WriteIt(3,sTUT2,sPath2)
   Call WriteIt(4,sFED2,sPath2)
   Call WriteIt(5,sNET2,sPath2)
  else
   ' IE 5.01
   Call WriteIt(1,sHLP,sPath3)
   Call WriteIt(2,sTIP,sPath3)
   Call WriteIt(3,sTUT,sPath3)
   Call WriteIt(4,sFED,sPath3)
   Call WriteIt(5,sNET,sPath3)
  end if
 end if
End Sub

Sub WriteIt(ITM,VAL,PTH)
 b=GetUIElement(ITM)
 if b=false then
    call RegWriteValue(PTH & VAL,1,2)
 else
    chk=RegReadValue(PTH & VAL)
    if IsEmpty(chk)=false then
       Call RegDeleteValue(PTH & VAL)
    end if
 end if
end sub

Sub Plugin_Terminate 
End Sub



