"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="5"
"UIPATH"="Internet\Internet Explorer\System"
"NAME"="Advanced Options #1"
"LANGUAGE"="VBScript"
"VERSION"="1.6"
"TEXT 1"="Check for Updates on microsoft.com"
"TEXT 2"="Enable Install-on-demand for Internet Explorer"
"TEXT 3"="Enable Install-on-demand for third parties"
"TEXT 4"="Enable disk caching (aka "Temporary Files")"
"TEXT 5"="Enable Error Reporting"
"DESCRIPTION 1"="Option #1: Allows Internet Explorer to periodically check for updates (usually once a month). If a new version of Internet Explorer is available, it will invite you to download it."
"DESCRIPTION 2"="Options #2 & #3: By enabling Install-on-demand Internet Explorer will ask you if you would like to install extra components if they are needed to view a web page. Enabling Option #2 will allow Internet Explorer to ask you about official Microsoft-approved add-ons for Internet Explorer, while Option #3 will ask you if you want to install third-party components, such as Macromedia's Shockwave and My Comet Cursor. NOTE: Option 3 is for Internet Explorer 6.0 only."
"DESCRIPTION 3"="Option #4: Enabling this will allow Internet Explorer to save a copy of web pages your visit in its cache, located in your Temporary Internet FIles folder. This makes browsing quicker, but can eat up hard disk space and if other people use your computer they will be able to see web sites you have visited."
"DESCRIPTION 4"="Option #5: When Internet Explorer crashes, it asks you if you would like to send an error report to Microsoft. Doing this may help the Internet Explorer development team improve stability in future releases, however you can disable this by clearing the tick in the box. Internet Explorer 6.0 only!"
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Internet Explorer 6.0 options added by Neil Turner."

sP1="HKLM\SOFTWARE\Policies\Microsoft\Internet Explorer\Infodelivery\Restrictions\"
sV1="NoUpdateCheck"
sV2="NoJITSetup"
sV3="NoWebJITSetup"
sP2="HKLM\SOFTWARE\Microsoft\Internet Explorer\Main\"
sV4="Enable_Disk_Cache"
sV5="IEWatsonDisable"

SUB Plugin_Initialize  
 i=RegReadValue(sP1 & sV1)
 if i<>1 then SetUIElement 1,true

 i=RegReadValue(sP1 & sV2)
 if i<>1 then SetUIElement 2,true

 i=RegReadValue(sP1 & sV3)
 if i<>1 then SetUIElement 3,true

 i=RegReadValue(sP2 & sV4)
 if IsEmpty(i) or i="yes" then SetUIElement 4,true

 i=RegReadValue(sP2 & sV5)
 if i<>1 then SetUIElement 5,true
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 Call Wrt(1,sP1 & sV1)
 Call Wrt(2,sP1 & sV2)
 Call Wrt(3,sP1 & sV3)
 Call Wrt(5,sP2 & sV5)

 b=GetUIElement(4)
 if b=true then
  Call RegWriteValue(sP2 & sV4,"yes",1)
 else
  Call RegWriteValue(sP2 & sV4,"no",1)
 end if

 Call Restart()
END SUB

Sub Wrt(ITM,VAL)
 b=GetUIElement(ITM)
 if b=false then
    Call RegWriteValue(VAL,1,2)
 else
    s=RegReadValue(VAl)
    if IsEmpty(s)=false then
       Call RegDeleteValue(VAL)
    end if
 end if
end sub

SUB Plugin_Terminate
END SUB

