"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="2"
"UIPATH"="Program Options\Microsoft Office\MS Office 2000\Open/Save Dialog"
"NAME"="User Places"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Add..."
"TEXT 2"="Delete..."
"DESCRIPTION 1"="Office 2000 has an "Places Bar" on the left side of its Open/Save dialog."
"DESCRIPTION 2"="You can also add you own folders to this bar. To do this, click on 'Add...', type in a name for the folder (eg 'My Documents'), click OK, type in the folder's path (eg 'C:\My Documents') and then click OK."
"DESCRIPTION 3"="To remove a folder from the list, click on 'Delete...'."
"DESCRIPTION 4"="NOTE: You may not be able to fit many folders onto the bar unless you activate the 'Use Small Icons' option inside the Places Bar; to do so just right-click on the places bar inside Office and select "Small Icons" from the appearing menu.
"AUTHOR"="Xteq Systems (Neil R. Turner)"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Registry settings taken from PC Plus (UK) issue #186 (February 2002) page 166."

sPath="HKCU\Software\Microsoft\Office\9.0\Common\Open Find\Places\UserDefinedPlaces\"
sPCheck="HKCU\Software\Microsoft\Office\9.0\"

Sub Plugin_Initialize 
 if RegPathExists(sPCheck) then
  Call RefreshDisplay()
 else
  Call Disable()
 end if
End Sub

Sub RefreshDisplay
 For r=1 to 10
  Call SetUIElement(r,"")
 Next
 iCount=RegEnumPaths(sPath) 
 For p=1 to iCount
  s=RegEnumElement(p)
  t=RegReadValue(sPath & s & "\Name")
  u=RegReadValue(sPath & s & "\Path")
  Call SetUIElement(p,t & " - " & u)
 Next
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 OkayValue=0
 if ElementIndex=1 then
  For q=1 to 11
   s=RegReadValue(sPath & "Place" & q & "\Name")
   if IsEmpty(s)=true AND OkayValue=0 then
    OkayValue=q
   end if
  Next
  if OkayValue<>0 AND OkayValue<11 then
   t=InputWindow("1. Enter the name of the folder (eg My Documents): ","",1)
   if IsEmpty(t)=false then
    u=InputWindow("2. Enter the folder path (eg C:\My Documents)","",1)
    if IsEmpty(t)=false then
     Call RegWriteValue(sPath & "Place" & OkayValue & "\Name",t,1)
     Call RegWriteValue(sPath & "Place" & OkayValue & "\Path",u,1)
     Call RegWriteValue(sPath & "Place" & OkayValue & "\SortAscending",1,2)
     PlaceValue=OkayValue-1
     Call RegWriteValue(sPath & "Place" & OkayValue & "\Index",PlaceValue,2)
     Call RefreshDisplay()
    end if
   end if
  end if
  if OkayValue>10 then
   Call MsgError("You can only have 10 entries!")
  end if
 end if

 if ElementIndex=2 then
  if ElementSubIndex<0 then
   Call MsgError("Please select an item to delete first!")
  else
   iCount=RegEnumValues(sPath & "Place" & ElementSubIndex & "\")
   For r=1 to iCount
    s=RegEnumElement(r)
    t=RegValueExists(sPath & "Place" & ElementSubIndex & "\" & s)
    if t=true then
     Call RegDeleteValue(sPath & "Place" & ElementSubIndex & "\" & s)
    end if
   Next
   Call RegDeletePath(sPath & "Place" & ElementSubIndex & "\" & s)
   Call SetUIElement(ElementSubIndex,"")
  end if
 end if
End Sub

Sub Plugin_Terminate 
End Sub
