"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="2"
"UIPATH 1"="Hardware\Mouse\General Options"
"NAME"="Drag Rectangle"
"VERSION"="1.02"
"LANGUAGE"="VBScript"
"TEXT 1"="Width"
"TEXT 2"="Height"
"DESCRIPTION 1"="Created for high resolution desktops, this plug-in allows you to modify the amount of movement a mouse-click may travel before releasing the button."
"DESCRIPTION 2"="If you find that you're dragging items rather than just clicking on them, enlarge the rectangle to whatever you find comfortable (for example 16 x 16 for 1280x960 resolution)."
"DESCRIPTION 3"="NOTE: The Windows default is 4 x 4"
"AUTHOR"="Steve Day (xteq@steveday.com)"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Hacked version of XQ Mouse Options 2.xpl for mouse drag settings by Steve Day [xteq@steveday.com]"
"COMMENT 2"=""


sV1="HKEY_CURRENT_USER\Control Panel\Desktop\DragWidth"
sV2="HKEY_CURRENT_USER\Control Panel\Desktop\DragHeight"


SUB Plugin_Initialize
 i=RegReadValue(sV1)
 SetUIElement 1,i

 i=RegReadValue(sV2)
 SetUIElement 2,i
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)>0 then
    Call RegWriteValue(sV1,s,1)
 else
    if RegValueExists(sV1) then
       Call RegDeleteValue(sV1)
    end if
 end if

 s=GetUIElement(2)
 if len(s)>0 then
    Call RegWriteValue(sV2,s,1)
 else
    if RegValueExists(sV2) then
       Call RegDeleteValue(sV2)
    end if
 end if
END SUB

SUB Plugin_Terminate
END SUB
