"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="5"
"COUNT"="3"
"UIPATH"="Appearance\Taskbar\"
"NAME"="QuickLaunch Bar Links"
"VERSION"="2.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Create "Show Desktop" link"
"TEXT 2"="Create "View Channels" link"
"TEXT 3"="Create "Windows Explorer" link"
"DESCRIPTION 1"="If you have deleted the "Show Desktop" or the "View Channels" link in your Quick Launch bar, you can use the buttons to create them again."
"DESCRIPTION 2"="You can also add a link to Windows Explorer on your Quick Launch bar by clicking on the third link."
"DESCRIPTION 3"="The Quick Launch bar is installed with the ActiveDesktop feature of Internet Explorer 4.X and above."
"DESCRIPTION 4"="NOTE: You can also use WINDOWS KEY+D as a keyboard shortcut to show the desktop. If this suits you better, you don't need to create the first link."
"AUTHOR"="Xteq Systems (Neil R. Turner and TeX HeX)"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Umesh Reghuram (umesh@home.com) for the spelling-fix."
"COMMENT 2"="NT: I think it's blatantly obvious which plug-in this is based on... sorry TeXHeX!!!"
"COMMENT 3"="TH: Not a problem with me, I also ripped plug-ins from you :-)"



sV1="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\AppData"
sPath1="\Microsoft\Internet Explorer\Quick Launch\Show Desktop.scf"
sPath2="\Microsoft\Internet Explorer\Quick Launch\View Channels.scf"
sPath3="\Microsoft\Internet Explorer\Quick Launch\Windows Explorer.scf"

Sub Plugin_Initialize 
 s=RegReadValue(sV1)
 if IsEmpty(s)=false then
    'OK!
 else
    Disable
 end if

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 Select Case ElementIndex
 Case 1
  s=RegReadValue(sV1)
  if IsEmpty(s)=false then
     s=s & sPath1

     'Let's write the file!!!
     Call IniWriteValue(s,"Shell","Command","2")
     Call IniWriteValue(s,"Shell","IconFile","explorer.exe,3")
     Call IniWriteValue(s,"Taskbar","Command","ToggleDesktop")
     'I'm sometimes simply TOOO kidding...
     Call IniWriteValue(s,"Xteq","Comment","This file created with Xteq Systems's X-Setup")

  else
     Call MsgError("Unable to read AppData value from registry - maybe ActiveDesktop is not installed")
  end if

 Case 2
  s=RegReadValue(sV1)
  if IsEmpty(s)=false then
   s=s & sPath2
   'Let's write the file!!!
   Call IniWriteValue(s,"Shell","Command","3")
   Call IniWriteValue(s,"Shell","IconFile","shdocvw.dll,-118")
   Call IniWriteValue(s,"IE","Command","Channels")
   'And I'm TOOO kidding sometimes too :)
   Call IniWriteValue(s,"Xteq","Comment","This file created with Xteq Systems' X-Setup")
  else
   Call MsgError("X-Setup was unable to find the location if your Application Data folder from the Registry. This may be because you haven't installed the Windows Desktop Update - this is installed if you have Internet Explorer 4.x. Otherwise, you may have a corrupted Windows registry.")
  end if
  
 Case 3
  s=RegReadValue(sV1)
  if IsEmpty(s)=false then
   s=s & sPath3
   'Let's write the file!!!
   Call IniWriteValue(s,"Shell","Command","2")
   Call IniWriteValue(s,"Shell","IconFile","explorer.exe,1")
   Call IniWriteValue(s,"Taskbar","Command","Explorer")
   'And I'm TOOO kidding sometimes too :)
   Call IniWriteValue(s,"Xteq","Comment","This file created with Xteq Systems' X-Setup")
  else
   Call MsgError("X-Setup was unable to find the location if your Application Data folder from the Registry. This may be because you haven't installed the Windows Desktop Update - this is installed if you have Internet Explorer 4.x. Otherwise, you may have a corrupted Windows registry.")
  end if


 End Select
End Sub

Sub Plugin_Terminate 
End Sub
