"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="1"
"COUNT"="4"
"UIPATH 1"="Program Options\Built in Windows Apps\Windows Media Player"
"UIPATH 2"="Internet\Windows Media Player"
"NAME"="MP3 Encoding"
"LANGUAGE"="VBScript"
"VERSION"="1.24"
"TEXT 1"="Low Rate:"
"TEXT 2"="Medium Rate:"
"TEXT 3"="MediumHigh Rate:"
"TEXT 4"="High Rate:"
"DESCRIPTION 1"="Windows Media Player 8.x is able to encode MP3 Audio files, but the functionality sometimes isn't enabled by default. However, using this plug-in, you can enable it."
"DESCRIPTION 2"="In each field, type in the bitrate (in kbps) you want to use for each level. For example, you might want to set the low rate to 128 and the high rate to 320. You can use any of these numbers: 32, 40, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256 or 320. 128 is the-most widely used, and 192 offers near-CD quality. 320 makes a recording almost identical to the CD."
"DESCRIPTION 3"="You can then enable MP3 encoding using the Options dialog in Windows Media Player.
"AUTHOR"="Xteq Systems (Neil R. Turner)"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Pierre Szwarc for the registry keys."

sP="HKLM\Software\Microsoft\MediaPlayer\Settings\MP3Encoding\"
sV1="LowRate"
sV2="MediumRate"
sV3="MediumHighRate"
sV4="HighRate"

Sub Plugin_Initialize 
 Call BuildUI(1,sV1)
 Call BuildUI(2,sV2)
 Call BuildUI(3,sV3)
 Call BuildUI(4,sV4)
End Sub

Sub BuildUI(n,v)
 s=RegReadValue(sP&v)
 t=s/1000
 Call SetUIElement(n,t)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 Call BuildReg(1,sV1)
 Call BuildReg(2,sV2)
 Call BuildReg(3,sv3)
 Call BuildReg(4,sV4)
End Sub

Sub BuildReg(n,v)
 s=GetUIElement(n)
 t=s*1000
 Call RegWriteValue(sP&v,t,2)
End Sub

Sub Plugin_Terminate 
End Sub