"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="3"
"UIPATH"="Program Options\Built in Windows Apps\Windows Scripting Host"
"NAME"="Windows Scripting Host Security Options"
"VERSION"="1.00"
---"OSVERSION"="10101"
"LANGUAGE"="VBScript"
"TEXT 1"="Allow all scripts to be run (default)"
"TEXT 2"="Display warning if a unsigned script is about to be run"
"TEXT 3"="Do not allow unsigned scripts to be run "
"DESCRIPTION 1"="Since WSH 5.6, a script file can be signed. Because signing requires the author to registry her/his name with a certificate authority, it unlikely that viruses will use signed scripts."
"DESCRIPTION 2"="However, newly created scripts by Microsoft are signed. So, if you select the third option "good" script from Microsoft are still allowed to be run, while any script file that is not signed are not allowed to run. This gives you a good protection."
"DESCRIPTION 3"="IMPORTANT! This setting only applies if you have WSH 5.6 or above. WSH 5.6 is included with XP but can be downloaded for other Windows versions from http://www.microsoft.com/scripting/"
"COMMENT 1"=" "
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"


sCheckPath="HKLM\Software\Microsoft\Windows Script Host\"
sP="HKLM\Software\Microsoft\Windows Script Host\Settings\TrustPolicy"  'DW

'Called when the Plugin is started
SUB Plugin_Initialize
    i=RegReadValue(sP)
    if IsEmpty(i) then
       SetUIElement 1,true
    else
       if i="0" then SetUIElement 1,true
       if i="1" then SetUIElement 2,true
       if i="2" then SetUIElement 3,true
    end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 if GetUIElement(1)=true then
    s="0"
 else
    if GetUIElement(2)=true then
       s="1"
    else
       s="2"
    end if
 end if
 
 Call RegWriteValue(sP,s,1)
 
 
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
 
END SUB
