"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Network\TCP/IP"
"NAME"="DHCP Rogue Detection"
"VERSION"="1.07"
"OSVERSION"="000101"
"LANGUAGE"="VBScript"
"TEXT 1"="Enable DHCP Rogue Detection on this computer"
"DESCRIPTION 1"="By default, the Windows DHCP Server is configured to check if it is allowed to server DHCP. This is done by quering the ActiveDirectory (AD) and check if this computer is authorized."
"DESCRIPTION 2"="If no authorization entry for this computer is found, the DHCP Server will shut down itself and note the situation to the event log."
"DESCRIPTION 3"="Since Service Pack 2, it is also possible to enable the DHCP Server *WITHOUT* checking the AD. This means, the DHCP will run even if it's not authorized."
"DESCRIPTION 4"="NOTE: This setting requires at least SP2 for Windows 2000."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="more information: MS KB Q297847"

sP_Check="HKLM\SYSTEM\CurrentControlSet\DHCPServer\"

sV1="HKLM\SYSTEM\CurrentControlSet\DHCPServer\Parameters\DisableRogueDetection"
Sub Plugin_Initialize 
    if RegPathExists(sP_Check)=false then
       Disable
    else
       i=RegReadValue(sV1)
       if i=1 then
          SetUiElement 1,false
       else
          SetUiElement 1,true 
       end if
    end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 If GetUIElement(1)=true then
    if RegValueExists(sV1) then Call RegDeleteValue(sV1)
 else
    Call RegWriteValue(sV1,"1",2)
 end if

 Call Restart
End Sub


Sub Plugin_Terminate 
End Sub



