"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Hardware\System Settings"
"NAME"="Windows Phantom Devices"
"OSVERSION"="000101"
"VERSION"="2.03"
"LANGUAGE"="VBScript"
"TEXT 1"="Show phantom devices"
"DESCRIPTION 1"="By default, the Device Manager (devmgmt.msc) does not show so called "Phantom Devices" (Devices that have drivers installed but are currently not connected to the system)."
"DESCRIPTION 2"="By activating this option, the Device Manager will also show "Phantom Devices"."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="none, so far :-)"


'Declaration of some constants
sP="HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment\DEVMGR_SHOW_NONPRESENT_DEVICES"


'Called when the Plugin is started
Sub Plugin_Initialize
 if RegValueExists(sP)=false then
    SetUIElement 1,false
 else
    if RegReadValue(sP)="1" then
       SetUIElement 1,true
    end if
 end if

End Sub


'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if GetUIElement(1)=true then
    Call RegWriteValue(sP,"1",1)
 else
    if RegValueExists(sP)=true then
       Call RegDeleteValue(sP)
    end if
 end if

 Call Restart()
End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub

