"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="3"
"UIPATH"="Appearance\Start menu\Windows 98"
"NAME"="Programs Scroll Mode"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"OSVERSION"="001"
"TEXT 1"="Show in scrolling mode (default)"
"TEXT 2"="Show using multiple columns (Type 1)"
"TEXT 3"="Show using multiple columns (Type 2)"
"DESCRIPTION 1"="In Windows 95/NT, if the Start Menu was too big to fit vertically on the screen, multiple columns were used. In Windows 98, the Start Menu become scrolling. "
"DESCRIPTION 2"="Please note: There are several releases of Windows 98 available, that might not work directly. Therefore, this plug-in offer two types to activate the multiple columns view. If Type 1 does not work for you, please try Type 2."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="'Multiple Columns' setting from Tom Simpson [thomas@mail.xenafan.com] - thanks a lot!"


sV2_W98a="HKLM\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\StartMenuScrollPrograms" 
sV2_W98b="HKLM\Software\Microsoft\Windows\CurrentVersion\Explorer\StartMenuScrollPrograms" 

SUB Plugin_Initialize
 'this setting is driving me mad!
 'everbody says this must be "false" to be NOT enabled on W98, but this isn't true! 
 'RegOption = FALSE, OUR SETTING = TRUE  --> DOES NOT SCROLL

 s1=RegReadValue(sV2_W98a) 
 s2=RegReadValue(sV2_W98b) 
 if lcase(s1)="yes" or lcase(s2)="yes" then
    SetUIElement 1,true
 elseif IsEmpty(s1)=true and IsEmpty(s2) then
        SetUIElement 1,true
 end if

 'check for Type 1 "NO"
 if lcase(s1)="no" AND lcase(s2)="no" then
    SetUIElement 2,true
 end if

 'check for Type 2 "FALSE"
 if lcase(s1)="false" AND lcase(s2)="false" then
    SetUIElement 2,true
 end if


END SUB

SUB Plugin_CheckData(ElementIndex)
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 if GetUIElement(1)=true then
    if RegValueExists(sV2_W98a) then Call RegDeleteValue(sV2_W98a)
    if RegValueExists(sV2_W98b) then Call RegDeleteValue(sV2_W98b)
 end if

 if GetUIElement(2)=true then
    Call RegWriteValue(sV2_W98a,"NO",1)
    Call RegWriteValue(sV2_W98b,"NO",1)
 end if

 if GetUIElement(3)=true then
    Call RegWriteValue(sV2_W98a,"FALSE",1)
    Call RegWriteValue(sV2_W98b,"FALSE",1)
 end if


 Call Restart()
END SUB

SUB Plugin_Terminate
END SUB





Sub ReadIt(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item visible
    Call SetUIElementEx(ITM,true)
 else
    i=RegReadValue(PATH1)
    if i=0 then 
       Call SetUIElementEx(ITM,true)
    end if
 end if
End Sub

Sub ReadIt_2(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item not visible
    Call SetUIElementEx(ITM,false)
 else
    i=RegReadValue(PATH1)
    if i=1 then 
       Call SetUIElementEx(ITM,true)  
    end if
 end if
End Sub

Sub ReadIt_3(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item is active
    Call SetUIElementEx(ITM,true)
 else
    s=RegReadValue(PATH1)
    if LCase(s)="yes" then 
       Call SetUIElementEx(ITM,true)  
    end if
 end if
End Sub

Sub WriteIt(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then

    s=RegReadValue(PATH1)
    if IsEmpty(s)=false then
       Call RegDeleteValue(PATH1)
    end if

 else
    Call RegWriteValue(PATH1,1,2)
 end if
End Sub

Sub WriteIt_2(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then
    Call RegWriteValue(PATH1,1,2)
 else
    Call RegWriteValue(PATH1,0,2)
 end if
end Sub

Sub WriteIt_3(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then
    Call RegWriteValue(PATH1,"YES",1)
 else
    Call RegWriteValue(PATH1,"NO",1)
 end if
End Sub