"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="Appearance\Start menu\Windows ME"
"NAME"="Visible Items"
"VERSION"="2.00"
"LANGUAGE"="VBScript"
"OSVERSION"="00001"
"TEXT 1"="Aha! You can't see this!"
"DESCRIPTION 1"="Use this plug-in to show or hide some of the items in the Start menu."
"DESCRIPTION 2"="NOTE #1: Hiding the Run option will not disable the WINDOWS+R key combination, so users will still be able to access the Run command."
"DESCRIPTION 3"="NOTE #2: Show "Log Off <username>" might not work if IE 5 is installed. Also, disabling this option will disable the SHUTDOWN button in the CTRL+ALT+DEL menu.
"AUTHOR"="Xteq Systems (Neil R. Turner)"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Jon-Roar Selenius [jseleniu@online.no] for spotting the "Recent Documents always empty" bug."


 sP="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\"
sP2="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\"

sV1=sP2 & "StartMenuFavorites"
sV2=sP & "NoRecentDocsMenu"
sV3=sP2 & "StartMenuRun" '<>!
sV4=sP & "NoClose"
sV5=sP & "NoFind"
sV6=sP2 & "StartMenuLogoff" '<>!
sV7=sP & "NoSMHelp"


SUB Plugin_Initialize
 Call SetUIElement(1,"Favorites")
 Call ReadIt_2(1,sV1)

 Call SetUIElement(2,"Documents")
 Call ReadIt(2,sV2)

 Call SetUIElement(3,"Run...")
 Call ReadIt_2(3,sV3)

 Call SetUIElement(4,"Shut Down...")
 Call ReadIt(4,sV4)

 Call SetUIElement(5,"Search") 
 Call ReadIt(5,sV5)

 Call SetUIElement(6,"Log Off <username>...")
 Call ReadIt_2(6,sV6)

 Call SetUIElement(7,"Help")
 Call ReadIt(7,sV7)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex) 
 Call WriteIt_2(1,sV1)
 Call WriteIt(2,sV2)
 Call WriteIt_2(3,sV3)
 Call WriteIt(4,sV4)
 Call WriteIt(5,sV5)
 Call WriteIt_2(6,sV6)
 Call WriteIt(7,sV7)


 Call IndicateSettingChange()
END SUB

Sub ReadIt(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item visible
    Call SetUIElementEx(ITM,true)
 else
    i=RegReadValue(PATH1)
    if i=0 then 
       Call SetUIElementEx(ITM,true)
    end if
 end if
End Sub

Sub ReadIt_2(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item not visible
    Call SetUIElementEx(ITM,false)
 else
    i=RegReadValue(PATH1)
    if i=1 then 
       Call SetUIElementEx(ITM,true)  
    end if
 end if
End Sub


Sub WriteIt(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then

    s=RegReadValue(PATH1)
    if IsEmpty(s)=false then
       Call RegDeleteValue(PATH1)
    end if

 else
    Call RegWriteValue(PATH1,1,2)
 end if
End Sub

Sub WriteIt_2(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then
    Call RegWriteValue(PATH1,1,2)
 else
    Call RegWriteValue(PATH1,0,2)
 end if
End Sub
SUB Plugin_Terminate
END SUB
