"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="Appearance\Start menu\Windows NT"
"NAME"="Visible Items"
"VERSION"="2.00"
"LANGUAGE"="VBScript"
"OSVERSION"="01"
"TEXT 1"="Aha! You can't see this!"
"DESCRIPTION 1"="Use this plug-in to show or hide some of the items in the Start menu."
"DESCRIPTION 2"="NOTE #1: It can happen that if you disable the "Run..." command, you can no longer use the address bar of Internet Explorer. This seems to be a bug inside IE."
"DESCRIPTION 3"="NOTE #2: Disabling "Find..." may also disable the context menu (Right-click) of the START button."
"DESCRIPTION 4"="NOTE #3: Show "Log Off <username>" might not work if IE 5 is installed. Also, disabling this option will disable the SHUTDOWN button in the CTRL+ALT+DEL menu.
"AUTHOR"="Xteq Systems (Neil R. Turner)"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


sP="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\"
sV1=sP & "NoFavoritesMenu"
sV2=sP & "NoRecentDocsMenu"
sV3=sP & "NoRun"
sV4=sP & "NoClose"
sV5=sP & "NoFind"
sV6=sP & "NoLogOff" 


SUB Plugin_Initialize
 Call SetUIElement(1,"Favorites")
 Call ReadIt(1,sV1)

 Call SetUIElement(2,"Documents")
 Call ReadIt(2,sV2)

 Call SetUIElement(3,"Run...")
 Call ReadIt(3,sV3)

 Call SetUIElement(4,"Shut Down...")
 Call ReadIt(4,sV4)

 Call SetUIElement(5,"Find") 
 Call ReadIt(5,sV5)

 Call SetUIElement(6,"Log Off <username>...")
 Call ReadIt(6,sV6)

END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex) 
 Call WriteIt(1,sV1)
 Call WriteIt(2,sV2)
 Call WriteIt(3,sV3)
 Call WriteIt(4,sV4)
 Call WriteIt(5,sV5)
 Call WriteIt(6,sV6)


 Call IndicateSettingChange()
END SUB

Sub ReadIt(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item visible
    Call SetUIElementEx(ITM,true)
 else
    i=RegReadValue(PATH1)
    if i=0 then 
       Call SetUIElementEx(ITM,true)
    end if
 end if

End Sub

Sub WriteIt(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then

    s=RegReadValue(PATH1)
    if IsEmpty(s)=false then
       Call RegDeleteValue(PATH1)
    end if

 else
    Call RegWriteValue(PATH1,1,2)
 end if
End Sub

SUB Plugin_Terminate
END SUB
