"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"TEXT 1"="Enable Balloon Tips"
"UIPATH 1"="Appearance\Interface\ToolTips/BallonTips"
"UIPATH 2"="Appearance\Taskbar"
"NAME"="Windows XP Balloon Tips"
"VERSION"="1.13"
"OSVERSION"="000001"
"LANGUAGE"="VBScript"
"DESCRIPTION 1"="When checked (default), this setting allows the balloon tips to appear for all applications which use the Windows XP styles. "
"DESCRIPTION 2"="Balloon Tips are new to Windows XP, since they are auto-appearing and you can close them. A normal tooltip will only be displayed when you point your mouse over an item and they will disappear as soon as you move your mouse away. A Balloon Tip on the other hand can appear without you moved your mouse but you can close them using the small [X] in the upper-right corner."
"DESCRIPTION 3"="Check the checkbox to restore the default behaviour (tips enabled)."
"COMMENT 1"="Has meaning only when and where XP Styles are enabled."
"AUTHOR"="Pierre Szwarc - Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"ADMINRIGHTS"="0"

sKey = "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\"
sVal = "EnableBalloonTips"
nVal = 1

'Called when the Plugin is started
SUB Plugin_Initialize

 if RegValueExists(sKey & sVal) then
    j = RegReadValue(sKey & sVal)
    if j = 1 then
       SetUIElement 1, true
    end if
 else 'value does not exist -> XP defaults to ON
    SetUIElement 1, true
 end if


END SUB
'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
b = GetUIElement(1)
if b = false then
  RegWriteValue sKey & sVal, 0, 2 ' Set the correct value
else 
  if RegValueExists(sKey & sVAL) then Call RegDeleteValue(sKey & sVal)
end if


END SUB
'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
