"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH 1"="Appearance\Start menu\Windows XP\Classic Start Menu"
"UIPATH 2"="Appearance\Start menu\Windows XP\New Start Menu"
"NAME"="Start Menu Options"
"VERSION"="4.13"
"LANGUAGE"="VBScript"
"OSVERSION"="000001"
"TEXT 1"="ddel d"
"DESCRIPTION 1"="Common Items: Normally, Windows will display your personal items plus the "common" (aka All Users) groups inside Start->Programs. If this option is disabled, those "common" groups will no longer be displayed. IMPORTANT! If deactivated, it will hide ALL "common" items, so any Desktop Links for all users will be hidden as well!"
"DESCRIPTION 2"="Programs Scrolling: In Windows 95/NT, if the Start Menu was too big to fit vertically on the screen, multiple columns were used. In Windows 98 and above, the Start Menu become scrolling. If you would prefer to see your Start Menu in multiple columns again, disable this option."
"DESCRIPTION 3"="Programs Context Menu: This allows you to view a standard Explorer context menu when clicking with the right mouse button on an entry in Start->Programs. Note: disabling this will also disable the ability to use drag & drop to move the items inside Programs!"
"DESCRIPTION 4"="Administrative Tools: Shows the Administrative Tools folder under Start->Programs. "
"DESCRIPTION 5"="User-created Folders: If this is enabled, extra folders (like the Cascading Control Panel) can appear above the Program entry. When disabled, these folders will be hidden."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="'Multiple Columns' setting from Tom Simpson [thomas@mail.xenafan.com] - thanks a lot!"
"COMMENT 2"="Thanks to Ken [k-o@cyberdude.dk] for the "no drag&drop" notice."
"COMMENT 3"="Thanks to Dutler, Dennis R [dennis.dutler@eds.com] for the "XP screw up" notice"



      sV_CommonGroups="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoCommonGroups"
   sV_StartMenuScroll="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\StartMenuScrollPrograms" 
        sV_AdminTools="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\StartMenuAdminTools"
   sV_ProgramsContext="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoChangeStartMenu"
        sV_SubFolders="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoStartMenuSubFolders" 
            sV_WinUpd="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoWindowsUpdate"

SUB Plugin_Initialize
 'NT/2000 (XP?)
 Call SetUIElement(1,"Show Common Items (read Desc!)")
 Call ReadIt(1,sV_CommonGroups)

 '98/2000/ME/XP 
 Call SetUIElement(2,"Show Start->Programs in scrolling mode")
 Call ReadIt_3(2,sV_StartMenuScroll)

 '98/2000/ME/XP
 Call SetUIElement(3,"Show Start->Programs context menu")
 Call ReadIt(3,sV_ProgramsContext)

 '2000/XP
 Call SetUIElement(4,"Show Start->Programs->Administrative Tools")
 Call ReadIt_2(4,sV_AdminTools)

 'NT/2000/ME/XP
 Call SetUIElement(5,"Show user-created folders at top of Start Menu")
 Call ReadIt(5,sV_SubFolders)

 '2000/XP
 Call SetUIElement(6,"Show 'Windows Update' inside Start Menu")
 Call ReadIt(6,sV_WinUpd)


END SUB

SUB Plugin_CheckData(ElementIndex)
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 Call WriteIt(1,sV_CommonGroups)
 Call WriteIt_3(2,sV_StartMenuScroll)
 Call WriteIt(3,sV_ProgramsContext)
 Call WriteIt_2(4,sV_AdminTools)
 Call WriteIt(5,sV_SubFolders)
 Call WriteIt(6,sV_WinUpd)


 Call IndicateSettingChange()
 Call Logoff()
END SUB

SUB Plugin_Terminate
END SUB





Sub ReadIt(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item visible
    Call SetUIElementEx(ITM,true)
 else
    i=RegReadValue(PATH1)
    if IsNumeric(i)=true then
       if i=0 then 
           Call SetUIElementEx(ITM,true)
       end if
    end if
 end if
End Sub

Sub ReadIt_2(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item not visible
    Call SetUIElementEx(ITM,false)
 else
    i=RegReadValue(PATH1)
    If IsNumeric(i)=true then   
       if i=1 then 
          Call SetUIElementEx(ITM,true)  
       end if
    end if
 end if
End Sub

Sub ReadIt_3(ITM,PATH1)
 if RegValueExists(PATH1)=false then 'setting available?
    'no setting -> item is active
    Call SetUIElementEx(ITM,true)
 else
    s=RegReadValue(PATH1)
    if LCase(s)="yes" then 
       Call SetUIElementEx(ITM,true)  
    end if
 end if
End Sub

Sub WriteIt(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then

    s=RegReadValue(PATH1)
    if IsEmpty(s)=false then
       Call RegDeleteValue(PATH1)
    end if

 else
    Call RegWriteValue(PATH1,1,2)
 end if
End Sub

Sub WriteIt_2(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then
    Call RegWriteValue(PATH1,1,2)
 else
    Call RegWriteValue(PATH1,0,2)
 end if
end Sub

Sub WriteIt_3(ITM,PATH1)
 b=GetUIElementEx(ITM)
 if b=true then
    Call RegWriteValue(PATH1,"YES",1)
 else
    Call RegWriteValue(PATH1,"NO",1)
 end if
End Sub